# Get a Shipment by ID ShipStation API stores a shipment’s information as a shipment object and each shipment's information is associated with a unique `shipment_id`. ## Requirements * You will need a `shipment_id` for this request (returned in the [create a shipment](/apis/shipengine/docs/shipping/create-a-shipment) response, as well as other responses for endpoints that automatically create a shipment object). ## Example Request & Response **GET /v1/shipments/:shipment_id** ```http GET /v1/shipments/se-202902255 HTTP/1.1 Host: api.shipengine.com API-Key: __YOUR_API_KEY_HERE__ ``` **Response** ```json { "shipment_id": "se-202902255", "carrier_id": "se-123890", "service_code": "usps_priority_mail", "external_shipment_id": "0bcb569d-1727-4ff9-ab49-b2fec0cee5ae", "ship_date": "2018-02-12T00:00:00Z", "created_at": "2018-02-13T00:53:52.027Z", "modified_at": "2018-02-13T00:53:52.027Z", "shipment_status": "pending", "ship_to": { "name": "Amanda Miller", "phone": "555-555-5555", "address_line1": "525 S Winchester Blvd", "city_locality": "San Jose", "state_province": "CA", "postal_code": "95128", "country_code": "US", "address_residential_indicator": "yes" }, "ship_from": { "company_name": "Example Corp.", "name": "John Doe", "phone": "111-111-1111", "address_line1": "4009 Marathon Blvd", "address_line2": "Suite 300", "city_locality": "Austin", "state_province": "TX", "postal_code": "78756", "country_code": "US", "address_residential_indicator": "no" }, "warehouse_id": null, "return_to": { "company_name": "Example Corp.", "name": "John Doe", "phone": "111-111-1111", "address_line1": "4009 Marathon Blvd", "address_line2": "Suite 300", "city_locality": "Austin", "state_province": "TX", "postal_code": "78756", "country_code": "US", "address_residential_indicator": "no" }, "insurance_provider": "none", "tags": [], "packages": [ { "package_code": "package", "weight": { "value": 1.00, "unit": "ounce" }, "dimensions": { "unit": "inch", "length": 0.0, "width": 0.0, "height": 0.0 }, "insured_value": { "currency": "usd", "amount": 0.00 }, "label_messages": { "reference1": null, "reference2": null, "reference3": null } } ], "total_weight": { "value": 1.00, "unit": "ounce" } } ```